<ul id="sammlung_{{rand}}"></ul>

<script>
    // Einmaliger Aufruf, um zuvor gespeicherte gecheckte Checkboxen in Sammlung anzuzeigen
    jQuery(document).ready(function(){
        var checkboxElements = jQuery("[data-formid = '{{formid}}']").find('input[type="checkbox"]');
        jQuery('#sammlung_{{rand}}').empty();
        for(var i=0;i<checkboxElements.length;i++){
            var elem = checkboxElements[i];
            if(jQuery(elem).is(':checked')){
                var idCurrentElement = jQuery(elem).attr('id');
                var currentElementLabel = jQuery('label[for='+idCurrentElement+']').text();
                jQuery('#sammlung_{{rand}}').append("<li id='list-"+idCurrentElement+"'>"+currentElementLabel+"</li>");
            }
        }
    });

    jQuery("[data-formid = '{{formid}}']").on('change', function(e){
        var checkboxElements = jQuery("[data-formid = '{{formid}}']").find('input[type="checkbox"]');
        jQuery('#sammlung_{{rand}}').empty();
        for(var i=0;i<checkboxElements.length;i++){
            var elem = checkboxElements[i];
            if(jQuery(elem).is(':checked')){
                var idCurrentElement = jQuery(elem).attr('id');
                var currentElementLabel = jQuery('label[for='+idCurrentElement+']').text();
                jQuery('#sammlung_{{rand}}').append("<li id='list-"+idCurrentElement+"'>"+currentElementLabel+"</li>");
            }
        }
    });
</script>